Bug 1000158 - blnsrv.exe is pegged at 100% cpu in windows guests
blnsrv.exe is pegged at 100% cpu in windows guests
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.4
Assigned To: Vadim Rozenfeld
Virtualization Bugs
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 16:16 EDT by Anitha Udgiri
Modified: 2014-01-01 11:35 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-01 11:35:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blnsvr fixed version (173.72 KB, application/x-gzip)
2013-10-13 23:24 EDT, Mike Cao
no flags Details

  None (edit)
Description Anitha Udgiri 2013-08-22 16:16:48 EDT
Description of problem:
In some windows 7 and XP guests, blnsrv.exe is pegged at 100% cpu usage. Killing this process in the task manager gets the VM to normal.
There are no errors reported in the logs.

Have asked Customer to disable this service altogether.

Why is this process using 100% cpu? What information can we get to find out the reason?
How do we proceed?

Version-Release number of selected component (if applicable):
RHEV 3.1
Comment 2 Anitha Udgiri 2013-08-23 15:50:43 EDT
Vadim,
    I am attaching the qemu VM logs for the VMs in question for information on qemu command line.

We have requested the Customer for the output of the remaining commands.

Will upload it as soon as we get them.
Comment 6 Mike Cao 2013-08-26 03:22:14 EDT
blnsrv.exe which is used for memory statistis is *not* officially supported in RHEL6 according to https://bugzilla.redhat.com/show_bug.cgi?id=798139 .And Virt-QE do not testing the driver/app we do not support 

So we should remove it from rhev-guest-tools-iso .

Mike
Comment 7 Vadim Rozenfeld 2013-09-17 08:09:20 EDT
should be fixed in build 70
Comment 8 Mike Cao 2013-10-12 06:24:21 EDT
I can not reproduce this issue on virtio-win-prewhql-65

Steps:
1.Start VM on RHEVM3.2 
2.blnsrv -i 

Actual Results:
Guest works fine 


Vadim ,Could you view my steps above ? Any idea how can I reproduce this bug ?

Thanks,
Mike
Comment 9 Vadim Rozenfeld 2013-10-12 07:30:24 EDT
(In reply to Mike Cao from comment #8)
> I can not reproduce this issue on virtio-win-prewhql-65
> 
> Steps:
> 1.Start VM on RHEVM3.2 
> 2.blnsrv -i 
> 
> Actual Results:
> Guest works fine 
> 
> 
> Vadim ,Could you view my steps above ? Any idea how can I reproduce this bug
> ?
> 
Hi Mike,
I have no idea, which additional steps should be taken in order to see
this bug. (I personally have never seen it on any of my systems
In my understanding there was  only one reason why we could get 100%
CPU consumption when we fail to get memory statistics and run into
busy loop. I have fixed this problem falling into sleep even in
WMI query has failed. I was thinking that maybe if QE can reproduce
this problem we will be able to perform some sort of live debugging
exercises on this problem.

Thaks,
Vadim.

> Thanks,
> Mike
Comment 10 Mike Cao 2013-10-13 23:24:29 EDT
Created attachment 811839 [details]
blnsvr fixed version
Comment 11 Mike Cao 2013-10-13 23:27:38 EDT
Hi,Anitha Udgiri

Since QE can not reproduce this isuse .Could you ask customer try to fixed version blnsrv in the bug attachment ?

Thanks a lot,
Mike
Comment 12 Anitha Udgiri 2013-10-15 13:49:18 EDT
(In reply to Mike Cao from comment #11)
> Hi,Anitha Udgiri
> 
> Since QE can not reproduce this isuse .Could you ask customer try to fixed
> version blnsrv in the bug attachment ?
> 
> Thanks a lot,
> Mike

Mike,
   We have asked the Customer if they are willing to try it in their environment and will provide this version upon their positive response.

~Anitha
Comment 13 Miya Chen 2013-10-27 23:01:18 EDT
Hi Anitha, is there any news from customer? Thanks.
Comment 14 Anitha Udgiri 2013-11-04 15:06:10 EST
(In reply to Miya Chen from comment #13)
> Hi Anitha, is there any news from customer? Thanks.

Hello,
    Unfortunately, the Customer has not responded back on our request and the case appears "closed" on account of inactivity for a long period.

I will ask the case owner to reach out the Customer again and check their feedback/response.
Comment 15 Anitha Udgiri 2013-12-03 11:29:03 EST
Hello,
    There has not been any response from the Customer. Sorry.

~Anitha

Note You need to log in before you can comment on or make changes to this bug.